Skip to main content
POST
/
v1
/
data
/
agnt
/
companies
/
domain-emails
List a domain's emails
curl --request POST \
  --url https://api.agntdata.dev/v1/data/agnt/companies/domain-emails \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "domain": "stripe.com",
  "limit": 25,
  "department": "engineering"
}
'
{
  "success": true,
  "data": {},
  "meta": {
    "costCents": 123,
    "purchasedBalanceCents": 123,
    "subscriptionRemainingCents": 123,
    "cached": true,
    "latencyMs": 123,
    "priceRange": {
      "minCents": 123,
      "maxCents": 123
    },
    "budgetCents": 123,
    "budgetCentsPerRecord": 123,
    "providersAttempted": 123,
    "fieldsReturned": [
      "<string>"
    ],
    "fieldsMissing": [
      "<string>"
    ],
    "records": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://agnt.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token. Pass your agntdata API key as: Authorization: Bearer agnt_live_...

Body

application/json
domain
string
Minimum string length: 1
company
string
Minimum string length: 1
limit
integer
Required range: 0 < x <= 100
offset
integer
Required range: x >= 0
type
enum<string>
Available options:
personal,
generic
seniority
string
Minimum string length: 1
department
string
Minimum string length: 1

Response

Domain email results.

success
enum<boolean>
required
Available options:
true
data
object
required
meta
object